// convert.cc

char buf[32];

int note()
{
    while (1)
    {
        int pitch = getchar();
        if (pitch & 0x80) return pitch;
        int vol = getchar();
        if (vol & 0x80) return vol;

        buf[0] = (vol)?0x90:0x80;
        buf[1] = pitch;
        buf[2] = vol;
        write(1, buf, 3);
    }
}

int pgm()
{
    while (1)
    {
        int pgm = getchar();
        if (pgm & 0x80) return pgm;

        buf[0] = 0xc0;
        buf[1] = pgm;
        write(1, buf, 2);
    }
}

void process()
{
    int c = -1;
    while (1)
    {
        switch (c)
        {
            case 0x80 : c = note(); break;
            case 0x90 : c = note(); break;
            case 0xc0 : c = pgm(); break;
            default : c = getchar();
        }
    }
}

int main(int argc, char**argv)
{
    process();
}
    
