// note.h

#ifndef NOTE_H
#define NOTE_H

#include "patch.h"
#include "table.h"


class note
{
public:
    note();
    note(table* t, int pgm, int pitch, int vol);
    ~note();
 
    int play(long* buffer, int len);
    void kill() { killed_ = 4; }
 
protected:
    patch* patch_;
    int    pitch_;
    int    killed_; // speed of volume decay
 
    long   o_;
    long   s_;
    long   max_;
    long   loop_;
    int    vol_;
 
    char*  data8_;
    short* data16_;

// TIJDELIJKE ENVELOPE (FIX ME)
    int sustain_delay_;
};


class drum_note: public note
{
public:
    drum_note (table* t, int pitch, int vol);
};

#endif

