// sample_header.h

#ifndef SAMPLE_HEADER_H
#define SAMPLE_HEADER_H

struct sample_header
{
    char            name[7];
    unsigned char   fractions;
    long            len;
    long            loop_start;
    long            loop_end;
    unsigned short  base_freq;
    long            low_note;
    long            high_note;
    long            base_note;
    short           detune;
    unsigned char   panning;
 
    unsigned char   envelope_rate[6];
    unsigned char   envelope_offset[6];
 
    unsigned char   tremolo_sweep;
    unsigned char   tremolo_rate;
    unsigned char   tremolo_depth;
 
    unsigned char   vibrato_sweep;
    unsigned char   vibrato_rate;
    unsigned char   vibrato_depth;
 
    char            modes;
 
    short           scale_frequency;
    unsigned short  scale_factor;
};

#endif

