// browser-example.c
//
// Simple demonstration of the browser component
//
// 1996, Bastiaan Schonhage

// AE -- browser is now a frame, and must be packed !

#include <web/browser.h>
#include <hush/session.h>
#include <web/sgml-handler.h> // for SP

//const char* HUSH_URL = "http://www.cs.vu.nl/~hush/";
//const char* HUSH_URL = "http://www.cs.vu.nl/~eliens/documents/hush/3.0/";
const char* HUSH_URL = "file:/home/eliens/hush/share/documents/3.0/index.html";

class application: public session
{
      public:
        application(int argc, char* argv[], char* name) : 
                session(argc, argv, name) {
		Browser = 0;
		sgml_parser::_default = new sgml_handler();
		_register( sgml_parser::_default );
		}
        ~application() {
                if (Browser) delete Browser;
        };

        int main() {
		//tk->eval("wm minsize . 0 0");
	        tk->eval("set web_library $hush_library/web");
                Browser = new browser(".browser");
		Browser->home(HUSH_URL);
                Browser->load(HUSH_URL);
		Browser->pack();
		//tk->pack(".quit","-fill x -expand 1");
                return 0;
        }

      private:
        browser* Browser;
};

int main (int argc, char* argv[])
{
	application *s = new application(argc, argv, "EYE");
	int result = s->run();
	delete s;
	session::statistics();
	return result;
}
