// Simple program showing the use of the web class
//
// 1996, Bastiaan Schonhage

#include <web/web.h>
#include <hush/session.h>
#include <widgets/scrollbar.h>

class application: public session
{
    public:
        application(int argc, char* argv[], char* name):
                session(argc, argv, name) {};
        void prelude() { 
	        tk->eval("set web_library $hush_library/web");
		www = new web(".www");
		scroll = new scrollbar(".scroll");
		www->set(scroll);
	}
        int main() {
	        tk->eval("set web_library $hush_library/web");
		www->pack("-side left -fill both -expand 1 -padx 20");
		www->configure("-relief flat");
		scroll->pack("-side left -fill y");
		www->load("http://www.cs.vu.nl/~martijn/Help.html");
		tk->pack("quit");
		return 0;
	}
    private:
	web *www;
	scrollbar* scroll;
};

int main(int argc, char* argv[])
{
        application *s = new application(argc, argv, "EYE");
        int result = s->run();
        delete s;
        session::statistics();
        return result;
}
