#include "amuseviewer.h"

extern kit* thekit(void);

amuseviewer::amuseviewer(handler* h):
	viewer(h),
	sc(0)

{
	MyMIMEType = new MIME("text", "html");
}

amuseviewer::~amuseviewer()
{
	if (sc) delete sc;
	if (MyMIMEType) delete MyMIMEType;
}

void amuseviewer::map(const widget* w, const char* p)
{
//	if (sc) delete sc;
	if(!sc) {
		sc = new ScoreCanvas(w, p);
		sc->configure("-height 590");
	}
	sc->pack();
}

void amuseviewer::unmap()
{
	char Buffer[256];
	
	if(sc) sc->Clear();
	sprintf(Buffer, "pack forget %s", sc->path());
	thekit()->eval(Buffer);
//	if(sc) sc->destroy();
//	if(sc) delete sc;
//	sc = 0;
}

widget* amuseviewer::thewidget() const
{
	if (sc) return sc; else return 0; //AE -1; // hack; jrvosse
}

MIME* amuseviewer::MIMEtype()
{
	return MyMIMEType;
}

void amuseviewer::display(int fd, int, const char*)
{
	ifstream file;
	file.attach(fd);
	sc->Load(file);
}

void amuseviewer::display_inline(int, int, const MIME*, const char*)
{
}
