#include <hush/hush.h> /// [1]
#include <widgets/canvas.h>

#include <iostream.h>

class drawing_canvas : public canvas {  /// [2]
public:

drawing_canvas( char* path ) : canvas(path) {  /// (a)
	configure("-background white");
        geometry(200,100);
        bind(this);
	dragging = 0;
}

void press( event& ) { dragging = 1; }

void motion( event& e) { /// (b)
	if (dragging) circle(e.x(),e.y(),2,"-fill black");
}

void release( event&  ) { dragging = 0; }

protected:
int dragging; 
};


class application : public session {  /// [3]
public:
application( int argc, char* argv[] ) : session(argc,argv,"draw") {}
int main( ) {
 
    tk->trace(0);
    canvas* c = new drawing_canvas(".draw");
    _register( c );

    c->pack();

    tk->pack(".quit");
    return OK;
    }
};

int main (int argc, char  **argv) {
    session* s = new application(argc,argv);
    s->run();
    delete s;
    session::statistics();
    return 0;
}
