HUSH = ..

CC = g++ -g -fPIC -Wall

LDHUSH = -lslush -lclient -lweb

LDTCLTK = -L.. -R.. -ltcl8.0 -ltk8.0

XFLAGS = -I/usr/openwin/include
LDXSYS = -R/usr/openwin/lib -L/usr/openwin/lib -lX11 -lm  -lsocket -lnsl -ldl

LIBDIRS = -L$(HUSH)/lib -R$(HUSH)/lib

## LDLIBS and LDSYS are user-definable

CFLAGS = -I.  -I$(HUSH)/include $(XFLAGS)
LDFLAGS = $(LIBDIRS) $(LDLIBS) $(LDHUSH) $(LDTCLTK) $(LDXSYS) $(LDSYS)

.SUFFIXES: .c .cc .cpp .o .out


.c.o:; $(CC) -c $*.c $(CFLAGS) 
.c.out: $(OBJECTS)
	$(CC) -o $*.out $*.c $(OBJECTS) $(CFLAGS) $(LDFLAGS) 

.cc.o:; $(CC) -c $*.cc $(CFLAGS) 
.cpp.out: $(OBJECTS)
	$(CC) -o $*.out $*.cc $(OBJECTS) $(CFLAGS) $(LDFLAGS) 

.cpp.o:; $(CC) -c $*.cpp $(CFLAGS) 
.cpp.out: $(OBJECTS)
	$(CC) -o $*.out $*.cpp $(OBJECTS) $(CFLAGS) $(LDFLAGS) 


