// ButtonFile.h 
// 
// practicum OOP 1994 door M. van Welie & B. Schonhage
//
// Deze file bevat de bitmap namen van de buttons in het ButtonWindow.
// Verder bevat het ook de hulpteksten die in het ButtonWindow verschijnen.
//

#ifndef BUTTONFILE_H
#define BUTTONFILE_H

#define InsertBitmap 	"myinsert"
#define RemoveBitmap 	"myremove"

// dit zijn de filenames voor de Hoofdbuttons
const NrButtons = 4;
const char * const ButtonFile[NrButtons] = {        
        "pijltje",        
        "4noot",        
        "gum",        
        "triool"        
};        

// hier volgen de noot buttons
const NrNoteButtons = 6;
const char * const NoteButtonWinFile[NrNoteButtons] = {
	"1noot",
	"2noot",
	"4noot",
	"8noot",
	"16noot",
	"32noot"
};

const char * const RestButtonWinFile[NrNoteButtons] = {
	"1rust",
	"2rust",
	"4rust",
	"8rust",
	"16rust",
	"32rust"
};

// hier volgen de alteraties mollen/kruizen etc
const NrAltButtons = 4;
const char * const AltButtonFile[NrAltButtons] = {
	"4noot",
	"kruis",
	"mol",
	"herstel"
};

// hier volgen de bitmaps voor stok omhoog/ omlaag etc
const int NrStemButtons = 3;
const char * const StemButtonFile[NrStemButtons] = {
	"StokOmhoog",
	"StokOmlaag",
	"StokBeide",
};

// hier volgen de bitmaps wel of geen punt
const int NrPointButtons = 3;
const char * const PointButtonFile[NrPointButtons] = {
	"4noot",
	"eenpunt",
	"tweepunt"
};

// hier volgen de helpteksten voor de messages
// Geindiceerd op FunctionType ( zie ButtonWin.h)
const char * const MesText[] = {	
	"Move a musical object",
	"Add a note or rest",
	"Delete a musical object",
	"Create a special note tuple",
   	"Insert a system before ...",
   	"Remove a system",
   	"Insert a measure before ...",
   	"Remove a measure",
	"Clear a measure",
	"Change the clef of a measure",
	"Change the key of a measure",
	"Change signature of a measure",
	"Add a measure after ...", 
	"Add a system after ...",
   	"Remove measures parallel"
};
#endif
