// KeyPref.h
//
// practicum OOP 1994 door M. van Welie & B. Schonhage
//
// Deze klasse verzorgt een preference-menu voor toonsoorten
// Het creeert een window met een kwintencirkel en een voorbeeld
// notenbalk. Door in het gewenste vakje van de kwintencirkel
// te klikken kan de toonsoort worden gewijzigd.
//

#ifndef KEYPREF_H
#define KEYPREF_H

#include <widgets/toplevel.h>
#include <widgets/canvas.h>
#include <amuse/Type.h>
#include <amuse/Clef.h>
#include <amuse/Key.h>
#include <amuse/Pitch.h>

class KeyPref : public toplevel
{
public:
	KeyPref(char *WidgetName,Clef *C,Key *K);
	void SetNewKey(int nr);
	void Result(Pitch *P);			// Set result key 
	int operator()();
private:
	resulttype keuze;
	int Choice;
	canvas *Canvas;
	Key *TempKey;
	Staff *VoorbeeldStaff;
	handler *ch;
	void ShowSig(void);
};


#endif
