// ScorePref.h
//
// practicum OOP 1994 door M. van Welie & B. Schonhage
// 
// Deze klasse verzorgt een preference-menu voor de score.
//

#ifndef SCOREPREF_H
#define SCOREPREF_H

#include <widgets/toplevel.h>
#include <widgets/canvas.h>
#include <widgets/entry.h>
#include <widgets/scale.h>
#include <widgets/menubutton.h>
#include <amuse/ScoreInfo.h>
#include <amuse/Type.h>

class ScorePref : public toplevel
{
public:
	ScorePref(char *p,ScoreInfo *Info);
	void result(void); 
	int operator()();
private:
	resulttype keuze;
	canvas *_canvas;
	entry *_compentry,*_titleentry,*_heightentry,*_widthentry;
	entry *_lmentry,*_rmentry,*_tmentry,*_bmentry;
	scale *_temposcale;
	menubutton *_albutton1,*_albutton2;
	char buttext1[100];
	char buttext2[100];
	ScoreInfo *SI;
	int TempoInd,NrStaves;
	void ShowCounter(void);
};


#endif
