// dataconn.h

#ifndef _DATACONN_H_
#define _DATACONN_H_

#include <cs/connection.h>

#include <sys/time.h>


class data_connection: public connection
{
public:
    data_connection() : connection() {};       // for receiving side
    data_connection(const csaddress* addr) : connection(addr) {};
 
    virtual int read(char* buf, int maxbytes);
    virtual int write(const char* buf, int nrbytes);
    virtual int readmsg(char* /* buf */, int /* maxbytes */)
        { return -1; }
    virtual int writemsg(const char* /* buf */, int /* nrbytes */)
        { return -1; }
    virtual int ready(timeval* timeout = NULL) const;       // data available
};


#endif _DATACONN_H_

