// listenconn.h

#ifndef _LISTENCONN_H_
#define _LISTENCONN_H_

#include <cs/listenconn.h>

#include <sys/time.h>


class listen_connection: public connection
{
public:
    listen_connection(const csaddress* addr) : connection(addr) {}
 
    virtual data_connection* waitconnect() 
        { return 0; }
    virtual int ready(timeval* timeout = NULL) const;   // connection available
};
 
 
#endif _LISTENCONN_H_
