// tcp/dataconn.h

#ifndef _TCP_DATACONN_H_
#define _TCP_DATACONN_H_

#include <cs/tcp/socket.h>
#include <cs/dataconn.h>

class csaddress;

class tcp_dataconn: public tcpsocket, public data_connection
{
public:
    tcp_dataconn(int fd);        // for receiving side
    tcp_dataconn(const csaddress* addr);
    virtual ~tcp_dataconn();
 
    virtual int writemsg(const char* buf, int nrbytes);
    virtual int readmsg(char* buf, int nrbytes);
};
 

#endif _TCP_DATACONN_H_

