// uds/dataconn.h

#ifndef _UDS_DATACONN_H_
#define _UDS_DATACONN_H_

#include <cs/uds/socket.h>
#include <cs/dataconn.h>

class csaddress;

class uds_dataconn: public unixsocket, public data_connection
{
public:
    uds_dataconn(int fd);
    uds_dataconn(const csaddress* addr);
    virtual ~uds_dataconn();
 
    virtual int writemsg(const char* buf, int nrbytes);
    virtual int readmsg(char* buf, int nrbytes);
};
 
 
#endif _UDS_DATACONN_H_

