#ifndef _dv_srv_event_h
#define _dv_srv_event_h
 
#include <hush/event.h>
#include <dv/srv/handler.h>
#include <dv/srv/widget.h>

#include <iostream.h>

class event_srv : public handler_srv, _crob(hush,event) {
public:
    event_srv(event* e) : handler_srv(e) { }

    event_srv() { _type = 0; _x = 0; _y = 0; } 

    virtual void type( long t, ENV ) { _type = t; }
    virtual long type( ENV ) { return _type; }

    virtual void x( long t, ENV ) { _x = t; }
    virtual long x( ENV ) { return _x; }

    virtual void y( long t, ENV ) { _y = t; }
    virtual long y( ENV ) { return _y; }

protected:
    event* _body() { return (event*) handler_srv::_body(); }
    long _type, _x, _y;
};

/* AE
class event_srv : public handler_srv, _crob(hush,event) {
public:
    event_srv(event* e) : handler_srv(e) { }

    event_srv() { _type = 0; _x = 0; _y = 0; } 

    virtual void type( CORBA::Long t, ENV ) { _type = t; }
    virtual CORBA::Long type( ENV ) { return _type; }

    virtual void x( CORBA::Long t, ENV ) { _x = t; }
    virtual CORBA::Long x( ENV ) { return _x; }

    virtual void y( CORBA::Long t, ENV ) { _y = t; }
    virtual CORBA::Long y( ENV ) { return _y; }

protected:
    event* _body() { return (event*) handler_srv::_body(); }
    CORBA::Long _type, _x, _y;
};
*/

//DEF_TIE_hush_event(event_srv)

#endif
