// devices.h

#ifndef _DEVICES_H_
#define _DEVICES_H_

const int cookie_size = 8;

const int val_any = 0;

// constants that can be or'ed together in a device type 
const int dev_midi_in = 1 << 0;
const int dev_midi_out = 1 << 1;
const int dev_midi_inout = dev_midi_in | dev_midi_out;

const int dev_wave_table = 1 << 4;

const int dev_output_mono = 1 << 8;
const int dev_output_stereo = 1 << 9;


#endif _DEVICES_H_
