// genesis.h

#ifndef _GENESIS_H_
#define _GENESIS_H_

const int max_description_size = 64;

// shouldn't these strings be declared extern?

const char eden_env[] = "EDEN";     // place of MIDI-server (host portnumber)
                                    // should be something like "flits 27372"
                                    // hostname defaults to localhost
                                    // portnumber defaults to 27372
                                    
const char jamserver_env[] = "JAMSERVER";  // place of JamServer 
                                    // (host portnumber)
                                    // should be something like "flits 30891"
                                    // hostname defaults to localhost
                                    // portnumber defaults to 30891

// ugly define, so it can be assigned to strings

#define EDEN_DEFAULT_HOST "localhost"
const int eden_default_port = 27372;

#define JAMSERVER_DEFAULT_HOST "localhost"
const int jamserver_default_port = 30891;

int parse_eden_env(char* host, int& port);
    // returns 1 if environment variable "EDEN" was correctly parsed,
    // else 0

int parse_jamserver_env(char* host, int& port);
    // returns 1 if environment variable "JAMSERVER" was correctly
    // parsed, else 0


#endif _GENESIS_H_
