// dvbinding.h --      

#ifndef _BIND_H
#define _BIND_H

#include <hush/export.h>
#include <hush/kit.h>
#include <hush/handler.h>

class HUSH_API dvbinding {
public:
	dvbinding();
	dvbinding(char*);
	dvbinding(dvbinding*);
	dvbinding( kit* tk, const char* , int mode = kit::tcl, void* info=0);
	virtual ~dvbinding();
	virtual char* name() const;
	virtual void rename(const char*);
private:
char* _name;
dvbinding* _body;
public:
static int created;
static int deleted;
};

typedef dvbinding action; /// for old times sake, as long as needed

#ifndef binding
#define binding dvbinding
#endif

#endif
