#ifndef TK_FRAME_H
#define TK_FRAME_H

#include <widgets/tk/export.h>

#include <widgets/hush/frame.h>
#include <widgets/tk/tk.h>

class tk_frame : public frame {
public:

char* category() const;

tk_frame();
tk_frame(const char* p, const char * options = "", frame* = 0);
tk_frame(const widget* w, const char* p,
			const char * options = "", frame* = 0);


widget* _create(const char* s, const char* opts = 0,
						widget* ctx = 0);
widget* _create(const widget* w, const char* s,
				    const char* ="", widget* =0);

~tk_frame();

frame* left(widget* w, const char* options = "{left fillx filly}" );

frame* right(widget* w, const char* options = "{right fillx filly}" ) ;

virtual void place(const char* options);

public:
static frame* _default;
static int initialized;
static int initialize();
};

#endif
