#ifndef TK_MENUBUTTON_H
#define TK_MENUBUTTON_H

#include <widgets/tk/export.h>

#include <widgets/hush/menu.h>
#include <widgets/tk/tk.h>


class tk_menubutton : public menubutton {
public:

char* category() const;

tk_menubutton();
tk_menubutton(const char* p, const char* options = "", menubutton* = 0);
tk_menubutton(const widget* w, const char* p,
		const char* options = "", menubutton* = 0);

widget* _create(const char* s, const char* opts = 0,
						widget* ctx = 0);
widget* _create(const widget* w, const char* s,
				    const char* ="", widget* =0);

virtual ~tk_menubutton();

// does not support flash

void menu(const char* s);
void menu(class menu* m);

public:
static menubutton* _default;
static int initialized;
static int initialize();
};

#endif
