#ifndef TK_SCALE_H
#define TK_SCALE_H

#include <widgets/tk/export.h>

#include <widgets/hush/scale.h>
#include <widgets/tk/tk.h>

class tk_scale : public scale {
public:

char* category() const;

tk_scale();
tk_scale(const char* p, const char * options = "", scale* = 0);
tk_scale(const widget* w, const char* p,
		        const char * options = "", scale* = 0);

widget* _create(const char* s, const char* opts = 0,
						widget* ctx = 0);
widget* _create(const widget* w, const char* s,
				    const char* ="", widget* =0);

~tk_scale();

void text(const char* s);

void from(int n);
void to(int n);

int get();
void set(int v);

protected:
void install(dvbinding* ac, const char* args = "");

public:
static scale* _default;
static int initialized;
static int initialize();
};
#endif
