#ifndef TK_SCROLLBAR_H
#define TK_SCROLLBAR_H

#include <widgets/tk/export.h>

#include <widgets/hush/scroll.h>
#include <widgets/tk/tk.h>

class tk_scrollbar : public scrollbar {
public:

char* category() const;

tk_scrollbar();
tk_scrollbar(const char* p, const char * options = "", scrollbar* =0);
tk_scrollbar(const widget* w, const char* p, const char * options = "", scrollbar* =0);


widget* _create(const char* s, const char* opts = 0,
						widget* ctx = 0);
widget* _create(const widget* w, const char* s,
				    const char* ="", widget* =0);

~tk_scrollbar();

void xview(widget* w); // *todo handler*
void yview(widget* w);

void command(widget* w, const char* option = "yview");
void command(const char* w, const char* option = "yview");

void orient(const char* option = "vertical");

int width() const { return widget::width(); }
void width(int n);

virtual void get(double* r) const;

public:
static scrollbar* _default;
static int initialized;
static int initialize();
};

#endif
