
all:; @echo make config install

install:	
	@echo -------- Installing lib/hush/$(DIR) ------ in $(DEST)
	@set -x; if [ ! -d $(DEST)/lib/hush ];	   \
		then mkdir $(DEST)/lib/hush; fi      
	@set -x; if [ ! -d $(DEST)/lib/hush/$(DIR) ]; \
		then mkdir $(DEST)/lib/hush/$(DIR); fi
	cp -r $(SRC) $(FILES) $(DEST)/lib/hush/$(DIR)
	@echo ======== Installing lib/hush/$(DIR) completed ============
test:

doc: $(DOC)
	@echo -------- Documenting hush/$(DIR)  -- in $(DEST)
	@if [ ! -d $(DEST)/doc ]; then mkdir $(DEST)/doc; fi
	@if [ ! -d $(DEST)/doc/lib ]; then mkdir $(DEST)/doc/lib; fi
	@if [ ! -d $(DEST)/doc/lib/hush/$(DIR) ]; \
	    then mkdir $(DEST)/doc/lib/hush/$(DIR); fi
	@if [ -f index.html ]; then cp index.html $(DIR).html; fi;
	@cp *.html $(DEST)/doc/lib/hush/$(DIR)
	@echo ======== Documenting hush$(DIR) completed == in $(DEST)


clean:
	rm -f core *.a *.o out *.out lib*.so.*  *.html
	rm -f -r ptrepository 
