// table.h

#ifndef TABLE_H
#define TABLE_H

#include "patch.h"


class table
{
public:
    table(int si, int sd);
        // si = size of instrument list
        // sd = size of percussion list
    ~table();
 
    void add(int pgm, char* path);
    void add_drum(int pitch, char* path);
    void remove(int pgm);
    void remove_drum(int pitch);
 
    patch* find(int pgm, long freq) const;
    patch* find_drum(int pitch) const;
 
private:
    void add_to_list(patch** list, int size, int pgm, char* path);

    patch** list_;
    int     size_;
    patch** drum_list_;
    int     drums_size_;
};

#endif
