// amuse-browser.c
//
// 
// hush web-browser including amuse extension
//
// 1996, Bastiaan Schonhage

#include <hush/unistd.h>
#include <web/browser.h>
#include <hush/session.h>
#include <extern/xanim.h>
#include <extern/amuse.h>
#include "amuseviewer.h"

// const char* HOME_URL = "file:/home/hush/www/amuse/amuse.sgml";
const char* HOME_URL = "any:amuse.sgml";
//const char* HOME_URL = "any:jamming/index.html";
// const char* HOME_URL = "file:/home/oo/hush/version/new/examples/www6/amuse.sgml";
// const char* HOME_URL = "file:/home/dejavu/hush/version/hush-3.0b1.4/packages/amuse-1.2a1/examples/www6/amuse.sgml";

class application: public session
{
      public:
        application(int argc, char* argv[], char* name) : 
                session(argc, argv, name), 
                Browser(0) {};
        ~application() {
                if (Browser) delete Browser;
        };

	void prelude()
	{
		tk->trace(1);
		init_amuse(tk);
	}	
	

        int main() 
	{ 
		tk->eval("set hush_library ../../library");
		tk->eval("set web_library ../../library/web");
		tk->eval("set amuse_library ../../library/web");
                Browser = new browser(".browser");
		amuseviewer *av = new amuseviewer(0);
		Browser->plugin("application/x-amuse", av);
		Browser->pack("-expand true -fill both");
		Browser->home(HOME_URL);
                Browser->load(HOME_URL);
                return 0;
        }

      private:
        browser* Browser;
};

int main (int argc, char* argv[])
{
	application *s = new application(argc, argv, "EYE");
	int result = s->run();
	delete s;
	session::statistics();
	return result;
}
