
// amuseviewer.h
// viewer for amuse scores
//
// 1996
// Bastiaan Sch\"onhage

#ifndef AMUSEVIEWER_H
#define AMUSEVIEWER_H

#include <web/viewer.h>
#include <amuse/ScoreCanvas.h>

class amuseviewer : public viewer
{
      public:
	amuseviewer(handler* h);
	virtual ~amuseviewer();

	void map(const widget*, const char*);
	void unmap();
	
	widget* thewidget() const;
	MIME* MIMEtype();

	void display(int, int, const char* = "");
	void display_inline(int, int, const MIME*,
				    const char* = "");

      protected:
      	ScoreCanvas *sc;
	MIME* MyMIMEType;
};

#endif
