// dialogbox.h
//
// practicum OOP 1994 door M. van Welie & B. Schonhage
// 
// Deze klasse zorgt voor een window met tekst erin en twee buttons
// met OK en CANCEL. 
//
// adapted October 1995

#ifndef DIALOGBOX_H
#define DIALOGBOX_H

#include <widgets/toplevel.h>
#include <widgets/message.h>
#include <widgets/frame.h>
#include <widgets/button.h>
#include <widgets/label.h>
#include <amuse/Type.h>


class Dialogbox : public toplevel
{
public:
	Dialogbox(char *WidgetName);
	virtual ~Dialogbox();
	void text(char *mes);		// set the dialog text
	resulttype Result(void);	// return ok/cancel
	int operator()();
private:
	resulttype keuze;
	message *textje;

	frame *topframe, *botframe;
	label *tekening;
	button *ok_button, *cancel_button;
};


#endif
