// SigPref.h
//
// practicum OOP 1994 door M. van Welie & B. Schonhage
// 
// Deze klasse verzorgt een preference-menu voor de signatuur.
// Dmv buttons kan de gewenste signatuur worden aangegeven
//

#ifndef SIGPREF_H
#define SIGPREF_H

#include <widgets/canvas.h>
#include <widgets/toplevel.h>
#include <amuse/Type.h>

class SigPref : public toplevel
{
public:
	SigPref(char *p,int Beats,int Duration);
	void Result(int &Beats,int &Duration);	// Set result signature 
	int operator()();
private:
	resulttype keuze;
	canvas *Canvas;
	char Name[NameLength];
	int SigBeats,SigDuration;
	void ShowSig(void);
};


#endif
