// type.h
// Header file for some types

#ifndef TYPE_H
#define TYPE_H

enum ObjectType {note, rest, sharp, doublesharp, flat, doubleflat, recover};
enum PointType {nopoint, onepoint, doublepoint };

enum resulttype {ok, cancel};
enum SideType {first,last,before,after};

const int TopOffset = 20 ; 		// Top marge van een score
const int InterSystemSpace = 10 ; 	// Ruimte tussen 2 systemen
const int MaxAidLines = 4 ;		// Max aantal hulplijnen.
const int MaxNrLines = 10 ; 		// Max aantal lijnen per staff
const int InterLineSpace = 10 ; 	// Ruimte tussen 2 lijnen
const int DefaultNrLines = 5 ;		// Standaard aantal lijnen
const int InterStaffSpace = 7 ;		// Ruimte tussen staves

const int NameLength = 40;
const int OptionLength = 300;
const int DubbelKruisWidth 	= 10;
const int KruisWidth		= 11;
const int DubbelMolWidth	= 17;
const int MolWidth		= 10;
const int HerstelWidth		= 9;
const int MaxNrNotes		= 16;

typedef int LengthType;		

enum StemType {up, down,normal,nostem};

// Font definitions
// #define PetrucciFont "-adobe-petrucci-*-r-normal--40-0-0-0-p-0-adobe-fontspecific"
// #define SigFont "-adobe-petrucci-*-r-normal--36-0-0-0-p-0-adobe-fontspecific"
// #define ToolFont "-adobe-petrucci-*-r-normal--30-0-0-0-p-0-adobe-fontspecific"

#define PetrucciFont "AmuseScoreFont"
#define SigFont      "AmuseSigFont"
#define ToolFont     "AmuseToolFont"

#endif

