// clienthandler.h
// handler to handle Tcl commands for using the client library
//
// Bastiaan Schonhage

#include <hush/export.h>

#include <client/client.h>
#include <hush/handler.h>

class HUSH_API clienthandler : public handler
{
    public:
	clienthandler();
	virtual ~clienthandler();

	int operator()();

	char* get(const char* url);
	void  get(const char* url, const char* filename);
	char* header();
	char* urltype();

    private:
	client* c;
};
