// csconnection.h

#ifndef _CONNECTION_H_
#define _CONNECTION_H_

#include <cs/csaddress.h>


class connection
{
public:
    connection();                   // for receiving side
    connection(const csaddress* addr);
    virtual ~connection();

    virtual csaddress* address() const;
    virtual int fd() const;
    virtual int connected();

protected:
    virtual void init(const csaddress* addr);

    int _fd;
    int _connected;
    csaddress* _address;
};


#endif _CONNECTION_H_

