// inetaddr.h

#ifndef _INETADDR_H_
#define _INETADDR_H_

#include <cs/csaddress.h>


const int maxnamesize = 64;

class inet_address: public csaddress
{
public:
    inet_address(const char* hostname, int portnr);
    virtual ~inet_address();

    virtual const char* hostname() const;
    virtual int portnr() const;

protected:
    char _hostname[maxnamesize]; // should change to string ?
    int _portnr;
};


#endif _INETADDR_H_
