// udp/socket.h

#ifndef _UDP_SOCKET_H_
#define _UDP_SOCKET_H_

#include <netinet/in.h>


class udpsocket
{
public:
    udpsocket();
 
    virtual int portnr() const;
    virtual void close();
 
protected:
    static void sigpipe_handler(int signr);
 
    static void (*_old_sigpipe_handler)(int signr);
    static int _got_sigpipe;
    static int _handler_installed;
 
    struct sockaddr_in _name;
    int _portnr;
    int _sd;
};
 
 
#endif _UDP_SOCKET_H_

