// uds/server.h

#ifndef _UDS_SERVER_H_
#define _UDS_SERVER_H_

#include <cs/csserver.h>

class unix_address;
class uds_serverimp;

class uds_server: public csserver
{
public:
    uds_server(const char* pipename);
    virtual ~uds_server();

    virtual const char* pipename();       
            // returns pipe at which server is listening

protected:
    unix_address* _unixaddr;
    uds_serverimp* _udsimp;
};


#endif _UDS_SERVER_H_
