#ifndef _srv_widget_h
#define _srv_widget_h
 
#include <hush/widget.h>
#include <dv/srv/handler.h>

class widget_srv : public handler_srv, _crob(hush,widget)  {
public:
    widget_srv( const widget* w ) { set_body(w); }

    virtual char* path( ENV ) {
	char* p = _body()->path();
	char* result = new char[strlen(p)+1];
	strcpy(result,p);
	return result;
	}
    virtual void eval( const char* cmd, ENV ) { _body()->eval(cmd); }
    virtual void configure( const char* cmd, ENV ) { _body()->configure(cmd); }
    virtual void pack( const char* opts , ENV ) { _body()->pack(opts); }
protected:
    widget_srv() { }
public:
    widget* _body() { return (widget*) handler_srv::_body(); }
};

//DEF_TIE_hush_widget(widget_srv)

#endif
