#ifndef _HUSH_TCL_H
#define _HUSH_TCL_H

class kit;

class dvtcl { // to encaps Tcl
public:


static void* create(); /// Tcl_CreateInterp()
static void  init(void* x); /// Platform Init ?


static void main(kit*);

/* */

static int eval(void* x, const char* s); ///
static char* result(void* x);

static void result(void* x, const char* s);
static int source(void* x, const char* s);
static int error(void* x);
static void error(void* x, const char* s);


static void* timer(void* x, int t, void* f, void* d);

static void idle(void* x, void* f, void* d);
static void cancel(void* x, void* f, void* d);

static int safe(void* x);
static void* slave(void* x, const char*);

static void command(void* x, const char* name, void* proc, void* data = 0);
static void command(void* x, int fd, void* proc, void* data, int mask);

static void unbind(void* x, int fd);
static void unbind(void* x, char* name, char* s);

static int check(void* x, int argc, char** argv, char* name);
static int application(void* k);
static int process(void* x);
 
static int doevent(int);

static void Prompt(void* x, int pt);

static void Stdin(void* x, int pt);

};

#endif
