// source.h -- included in every hush source file

#ifndef _hush_source_h
#define _hush_source_h

// Some Windows 95/NT specific stuff: 
#ifdef WIN32

// This is the flag used in hush to indicate MS Windows:
#ifndef __MSWIN__
#define __MSWIN__
#endif

// flip DLL API declarations from import to export
#undef DLL
#define DLL 
#include <hush/export.h>

// Because we cannot handle timeval routines:
#define NOTIME

// Resolve some name incompatabilities:
//
//      Unix		Windows'95/NT
#define strcasecmp	stricmp
#define strncasecmp	strnicmp

#endif // __MSWIN__

#endif // _hush_source_h
