// MIMEviewer.h
// The dynamic-role switching MIMEviewer class
//
// 1996
// Bastiaan Sch\"onhage
 
#ifndef MIME_VIEWER_H
#define MIME_VIEWER_H
 
#include <hush/export.h>
#include <web/viewer.h>
#include <client/MIME.h>
#include <hush/dictionary.h>
#include <stdio.h>
 
class HUSH_API mime_viewer : public viewer  // + AE
{
    public:
	mime_viewer();
	virtual ~mime_viewer();

        viewer* _create( handler* h ); // superflu  


	void plugin(MIME* type, viewer* v);
	void plugin(char* type, viewer* v);
	void size(int width, int height);
	
	widget* become(const widget* parent, MIME* type);
	widget* thewidget() const;
	void display(int fd, int length, const char* info = "");
	void display_inline(int fd, int length, const MIME* type,
				    const char* info = "");

	 void _register(viewer* v);
      private:
	dictionary<viewer> Dictionary;
	garbage<viewer> ViewerGarbage;
	viewer* Current;
	static long nr;
	int Width, Height;
};

#endif
