#ifndef _SGML_PARSER_H
#define _SGML_PARSER_H

#include <hush/handler.h>
#include <web/sgml-viewer.h>

class sgml_parser : public handler {     // relatively abstract
public:
	sgml_parser(sgml_parser* sp = 0);
	virtual ~sgml_parser();
	
	sgml_parser* _create();

	int operator()();

	void plug( sgml_parser* pl );
	void plug( sgml_viewer* vw);

        virtual void stylesheet(char* src, char* opts="");
        virtual void pi(char* data, char* opts="");

        virtual void applet(char* cl, char* src="", char* opts="");

        virtual void new_data(char* data, char* opts="");
        virtual void open_element(char* tag, char* atts = "", char* opts="");
        virtual void close_element(char* tag, char* opts="");

	virtual void init(int fd, int fd2 = -1 );
protected:
int _fd1, _fd2;
sgml_parser* _sp;
sgml_viewer* _vw;

public: // might be a dictionary
static sgml_parser* _default;
};

#endif
