#ifndef TK_CHECKBUTTON_H
#define TK_CHECKBUTTON_H

#include <widgets/tk/export.h>

#include <widgets/hush/check.h>
#include <widgets/tk/tk.h>

class tk_checkbutton : public checkbutton {
public:

  char* category() const;
  
  tk_checkbutton();
  tk_checkbutton(const char* p, const char* options = "", 
  						checkbutton* = 0);
  tk_checkbutton(const widget* w, const char* p, 
  			const char* options = "", checkbutton* = 0);
  
  widget* _create(const char* s, const char* opts = 0,
  						widget* ctx = 0);
  widget* _create(const widget* w, const char* s,
  				    const char* ="", widget* =0);
  
  virtual ~tk_checkbutton();
  
  void variable(const char* name);
  
  int value();
  void toggle();
  
  void select();
  
  void deselect();

private:
char* _name;
public:
static checkbutton* _default;
static int initialized;
static int initialize();
};

#endif
