#ifndef _C_ITEM_H
#define _C_ITEM_H

#include <hush/item.h>

class canvas;
class binding;

class c_item : public item {
int n;
protected:
canvas* c;
public:
c_item();
c_item(int i, canvas* x);
c_item(int i, const char* x); /// pathname for canvas, sneaky
~c_item();

int no() const;
char* id() const ;
char* name() const ;

void tag(const char* s);
char* tags() const ;

char* coords() const;
char* bbox() const;

void configure(const char* s);
void move(int x, int y);
void del();

bind(const char* s, handler* h, const char* args = "" );
bind(handler* h, const char* args = "" );
bind(const char* s, dvbinding* a, const char* args = " ");

virtual int direct(const char* s, dvbinding* ac, const char* args);

protected:
virtual void install(dvbinding* ac, const char* args = "");
kit* tk;
};

#endif
