#ifndef _TK_HYPERTEXT_H_
#define _TK_HYPERTEXT_H_

#include <widgets/tk/export.h>

#include <widgets/hush/hyper.h>
#include <widgets/tk/tk.h>

class tk_hypertext : public hypertext {
  public:

    char* category() const;

    tk_hypertext();
    tk_hypertext(const char* p, const char* options = "",
						hypertext* = 0);
    tk_hypertext(const widget* w, const char* p,
			    const char* options = "", hypertext* = 0);
    virtual ~tk_hypertext();

    widget* _create(const char* s, const char* opts = 0,
						widget* ctx = 0);
    widget* _create(const widget* w, const char* s,
				    const char* ="", widget* =0);

    
    void file(const char* f);
    void open(const char* f);
    void geometry(int x, int y);
    void configure(const char* s);
   
    int operator()();
    
  private:
    void init(const char* options);
    void create(int, char**);
public:
static hypertext* _default;
static int initialized;
static int initialize();
};

#endif
