#ifndef TK_MENUBAR_H
#define TK_MENUBAR_H

#include <widgets/tk/export.h>

#include <widgets/hush/menu.h>
#include <widgets/tk/tk.h>

class tk_menubar : public menubar {
public:

char* category() const;

tk_menubar();
tk_menubar(const char* p, const char * options = "", menubar* = 0);
tk_menubar(const widget* w, const char* p, const char * options = "", menubar* = 0);

widget* _create(const char* s, const char* opts = 0,
						widget* ctx = 0);
widget* _create(const widget* w, const char* s,
				    const char* ="", widget* =0);
~tk_menubar();


widget* append(widget* w, const char* options = "-side left");

private:
void init(const char* options);

public:
static menubar* _default;
static int initialized;
static int initialize();
};

#endif
