#ifndef TK_MESSAGE_H
#define TK_MESSAGE_H

#include <widgets/tk/export.h>

#include <widgets/hush/message.h>
#include <widgets/tk/tk.h>

class tk_message : public message {
public:

char* category() const;

tk_message();
tk_message(const char* p, const char* options = "", message* = 0);
tk_message(const widget* w, const char* p,
				const char* options = "", message* = 0);

widget* _create(const char* s, const char* opts = 0,
						widget* ctx = 0);
widget* _create(const widget* w, const char* s,
				    const char* ="", widget* =0);

virtual ~tk_message();

void text(const char* s);

public:
static message* _default;
static int initialized;
static int initialize();
};
#endif
