#ifndef TK_TOPLEVEL_H
#define TK_TOPLEVEL_H

#include <widgets/tk/export.h>

#include <widgets/hush/toplevel.h>
#include <widgets/tk/tk.h>

class tk_toplevel : public toplevel {
public:

  char* category() const;
  
  tk_toplevel();
  tk_toplevel(const char* p, const char * options = "", toplevel* = 0);
  tk_toplevel(const widget* w, const char* p, const char* opts = "", toplevel* = 0);
  
  
  widget* _create(const char* s, const char* opts = 0,
  						widget* ctx = 0);
  widget* _create(const widget* w, const char* s,
  				    const char* ="", widget* =0);
  
  ~tk_toplevel();
  
  virtual void position(int xcoord=300, int ycoord=300);
  virtual void resize(int width=100,  int height=100);

  
  //JRvirtual void title(const char* s="");   // set/get window title
  //virtual char* title() const;

  void transient(const char* w = ".");
private:
void init(const char*);


public:
static toplevel* _default;
static int initialized;
static int initialize();
};

#endif
